---
title: "Query script tag list"
description: "Ask all SCRIPT TAG list"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/script-tag/query-script-tag-list'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/script-tag/query-script-tag-list.md'
---
# Query script tag list

Ask all SCRIPT TAG list

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_script_tags`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /store/script_tags.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_script_tags`

## Request

### Query Parameters

* `created_at_max`

  string (optional)

  Shows the script created before this date

* `created_at_min`

  string (optional)

  Shows the script created after this date

* `fields`

  string (optional)

  Comma-separated list of fields to include in the response

* `limit`

  string (optional)

  Query of query quantity , default 50 , can not exceed 1000

* `since_id`

  string (optional)

  Show data after this id

* `src`

  string (optional)

  Url script address

* `updated_at_max`

  string (optional)

  Show script updated before this date

* `updated_at_min`

  string (optional)

  Show updated script after this date

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `script_tags`

  array<object>

  object

  * `created_at`

    string

    Date and time the script tag created (ISO 8601)

  * `display_scope`

    string

    Show range , online stores should include script pages . rms : online_store ( including home page , list page , detail page , shopping cart page , search page , 404 pages , custom page , blog collection , blog ) ;Checkout ( settlement page , including settlement three steps and status page ) ; all : ( script is included on the online storefront and order status page , including the upper two ranges )

  * `event`

    string

    DOM event that triggers script loading. Valid values: onload

  * `id`

    string

    Identify script tag's ID

  * `src`

    string

    Url script address

  * `updated_at`

    string

    Date and time the script tag last updated (ISO 8601)


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Ask all SCRIPT TAG list",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_script_tags` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "1YKDfGE4",
  "parameters": [
    {
      "name": "created_at_max",
      "in": "query",
      "description": "Shows the script created before this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "Shows the script created before this date",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n",
      "examples": {
        "Specify create time range": {
          "value": "2023-09-11T16:25:41+08:00"
        }
      }
    },
    {
      "name": "created_at_min",
      "in": "query",
      "description": "Shows the script created after this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "Shows the script created after this date",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n",
      "examples": {
        "Specify create time range": {
          "value": "2022-08-03T10:45:00+08:00\t"
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "Comma-separated list of fields to include in the response",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Comma-separated list of fields to include in the response",
        "type": "string",
        "example": "event,src"
      },
      "example": "event,src",
      "examples": {
        "Specify fields": {
          "value": "event,src"
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "Query of query quantity , default 50 , can not exceed 1000",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "Query of query quantity , default 50 , can not exceed 1000",
        "type": "string",
        "example": "100"
      },
      "example": "100",
      "examples": {
        "Specify limit": {
          "value": "1"
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "Show data after this id",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "Show data after this id",
        "type": "string",
        "example": "61a75c4e9f8c201e6e9473e0"
      },
      "example": "61a75c4e9f8c201e6e9473e0",
      "examples": {
        "Specify since_id": {
          "value": "64fecde8baa12e20b784ab2a"
        }
      }
    },
    {
      "name": "src",
      "in": "query",
      "description": "Url script address",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "src",
        "description": "Url script address",
        "type": "string",
        "example": "https://js-aplenty.com/bar.js"
      },
      "example": "https://js-aplenty.com/bar.js",
      "examples": {
        "Specify src": {
          "value": "https://js.example.com/helloworld.js"
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Show script updated before this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Show script updated before this date",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n",
      "examples": {
        "Specify update time range": {
          "value": "2023-09-11T16:25:41+08:00"
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Show updated script after this date",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Show updated script after this date",
        "type": "string",
        "example": "2022-08-03T10:45:00+08:00\t\n"
      },
      "example": "2022-08-03T10:45:00+08:00\t\n",
      "examples": {
        "Specify update time range": {
          "value": "2022-08-03T10:45:00+08:00\t"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "script_tags": {
                "name": "script_tags",
                "description": "object",
                "type": "array",
                "items": {
                  "name": "script_tags",
                  "description": "object",
                  "type": "object",
                  "properties": {
                    "created_at": {
                      "name": "created_at",
                      "description": "Date and time the script tag created (ISO 8601)",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00\t\n"
                    },
                    "display_scope": {
                      "name": "display_scope",
                      "description": "Show range , online stores should include script pages . rms : online_store ( including home page , list page , detail page , shopping cart page , search page , 404 pages , custom page , blog collection , blog ) ;Checkout ( settlement page , including settlement three steps and status page ) ; all : ( script is included on the online storefront and order status page , including the upper two ranges )",
                      "type": "string",
                      "example": "all"
                    },
                    "event": {
                      "name": "event",
                      "description": "DOM event that triggers script loading. Valid values: onload",
                      "type": "string",
                      "example": "onload"
                    },
                    "id": {
                      "name": "id",
                      "description": "Identify script tag's ID",
                      "type": "string",
                      "example": "61a75c4e9f8c201e6e9473e0"
                    },
                    "src": {
                      "name": "src",
                      "description": "Url script address",
                      "type": "string",
                      "example": "https://js-aplenty.com/bar.js"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "Date and time the script tag last updated (ISO 8601)",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00\t\n"
                    }
                  },
                  "example": {
                    "id": "61a75c4e9f8c201e6e9473e0",
                    "src": "https://js-aplenty.com/bar.js",
                    "updated_at": "2022-08-03T10:45:00+08:00\t\n",
                    "created_at": "2022-08-03T10:45:00+08:00\t\n",
                    "display_scope": "all",
                    "event": "onload"
                  }
                },
                "example": [
                  {
                    "created_at": "2022-08-03T10:45:00+08:00\t\n",
                    "display_scope": "all",
                    "event": "onload",
                    "id": "61a75c4e9f8c201e6e9473e0",
                    "src": "https://js-aplenty.com/bar.js",
                    "updated_at": "2022-08-03T10:45:00+08:00\t\n"
                  }
                ]
              }
            },
            "example": {
              "script_tags": [
                {
                  "created_at": "2022-08-03T10:45:00+08:00\t\n",
                  "display_scope": "all",
                  "event": "onload",
                  "id": "61a75c4e9f8c201e6e9473e0",
                  "src": "https://js-aplenty.com/bar.js",
                  "updated_at": "2022-08-03T10:45:00+08:00\t\n"
                }
              ]
            }
          },
          "examples": {
            "Specify limit": {
              "value": {
                "script_tags": [
                  {
                    "event": "onload",
                    "id": "64fecf05ff8a22648d7f6abd",
                    "src": "https://js.example.com/example.js",
                    "updated_at": "2023-09-11T16:25:41+08:00",
                    "created_at": "2023-09-11T16:25:41+08:00",
                    "display_scope": "online_store"
                  }
                ]
              }
            },
            "Specify since_id": {
              "value": {
                "script_tags": [
                  {
                    "display_scope": "online_store",
                    "event": "onload",
                    "id": "64fecf05ff8a22648d7f6abd",
                    "src": "https://js.example.com/example.js",
                    "updated_at": "2023-09-11T16:25:41+08:00",
                    "created_at": "2023-09-11T16:25:41+08:00"
                  }
                ]
              }
            },
            "Specify src": {
              "value": {
                "script_tags": [
                  {
                    "created_at": "2023-09-11T16:20:56+08:00",
                    "display_scope": "all",
                    "event": "onload",
                    "id": "64fecde8baa12e20b784ab2a",
                    "src": "https://js.example.com/helloworld.js",
                    "updated_at": "2023-09-11T16:20:56+08:00"
                  }
                ]
              }
            },
            "Specify update time range": {
              "value": {
                "script_tags": [
                  {
                    "created_at": "2023-09-11T16:20:56+08:00",
                    "display_scope": "all",
                    "event": "onload",
                    "id": "64fecde8baa12e20b784ab2a",
                    "src": "https://js.example.com/helloworld.js",
                    "updated_at": "2023-09-11T16:20:56+08:00"
                  }
                ]
              }
            },
            "Specify create time range": {
              "value": {
                "script_tags": [
                  {
                    "updated_at": "2023-09-11T16:20:56+08:00",
                    "created_at": "2023-09-11T16:20:56+08:00",
                    "display_scope": "all",
                    "event": "onload",
                    "id": "64fecde8baa12e20b784ab2a",
                    "src": "https://js.example.com/helloworld.js"
                  }
                ]
              }
            },
            "Specify fields": {
              "value": {
                "script_tags": [
                  {
                    "event": "onload",
                    "src": "https://js.example.com/example.js"
                  },
                  {
                    "event": "onload",
                    "src": "https://js.example.com/helloworld.js"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/store/script_tags.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query script tag list",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_script_tags"
  ]
}
```